Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84988 - gnome terminal some fonts overlap
Summary: gnome terminal some fonts overlap
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 18:42 UTC by Tom Vergote
Modified: 2007-04-18 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-10 21:50:54 UTC


Attachments (Terms of Use)
screenshot (deleted)
2003-02-24 18:43 UTC, Tom Vergote
no flags Details

Description Tom Vergote 2003-02-24 18:42:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
In gnome-terminal i notice some fonts overlapping.
The wider letters (Q, @, ...) overlap and don't get displayed correctly, the
spacing get's it wrong

i notice this with different fonts, some are better, some are worse
it doesn't help to change the size either


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open a terminal
2. type d@d WdQdVWR
3. look at the font overlap
4. play with the font settings (terminal font through preferences-> fonts) and
notice it doesn't go away
    

Actual Results:  The fonts are overlapping (see screenshot)

Expected Results:  the spacing should 've been better

Additional info:

Comment 1 Tom Vergote 2003-02-24 18:43:25 UTC
Created attachment 90315 [details]
screenshot

Comment 2 Havoc Pennington 2003-02-24 18:45:57 UTC
Can you give us a specific font that comes with the distribution that 
we should test with?

Comment 3 Owen Taylor 2003-02-24 19:15:37 UTC
This is pretty much expected; you have to use a fixed-width font to
get crrect display.

(There was a bug with the "Terminal Font" setting in the font-properties
dialog that would have made it easy to trigger this; that's fixed 
now.)

Comment 4 Tom Vergote 2003-02-24 21:29:06 UTC
OK,

maybe a stupid mistake, but can the user in some way be prevented to make this
mistake?

Comment 5 Marius Andreiana 2003-02-25 13:05:42 UTC
Also, new to phoebe3, the default fonts for ro_RO.UTF-8 locale ( used to be
iso8859-2 ) are very large. gnome terminal uses all the screen width ( 1024x768
) and half of the height. gEdit has the same font.

The font settings from phoebe2 were great.

Comment 6 Ray Strode [halfline] 2004-11-10 21:50:54 UTC
Hi Tom,

The font dialog presented by the terminal properties dialog doesn't currently
support the ability to filter out non fixed width fonts.

The upstream bug report is here:
http://bugzilla.gnome.org/show_bug.cgi?id=54651


Note You need to log in before you can comment on or make changes to this bug.